<?php

namespace Modules\ProductType\Interfaces;

use Modules\ProductType\Models\ProductType;

interface ProductTypeRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): ProductType;
    public function update(array $request, ProductType $productType): ProductType;
    public function destroy(ProductType $productType): void;
    public function destroyAll(array $ids): void;
    public function restore(ProductType $productType): void;
    public function restoreAll(array $ids): void;
}
